/*
	Revision History

	01/27/2005	-	Bryan Christ
		Production Release 1.0
	05/24/2005	-	Bryan Christ
		Zero-alloc bug fix
	11/03/2006	-	Bryan Christ
		shmq_msg_put() returns error code
		fixed a nasty logic bug which placed all msgs in "default" queue
*/

#ifndef _LIB_SHMQ2_H
#define _LIB_SHMQ2_H

#include <stdint.h>

#include <glib.h>

typedef struct
{
	GSList			   *queue;
	char			      queue_name[32];
	GStaticRecMutex	queue_lock;
	uint16_t		      msg_count;
} SHMQ;


SHMQ*		   shmq_init(const char *queue_name);
#define		shmq_get(x) shmq_init(x)

#endif
